import { IPyodideWorkerKernel } from './tokens';
import { PyodideRemoteKernel } from './worker';
export declare class PyodideComlinkKernel extends PyodideRemoteKernel {
    constructor();
    /**
     * Setup custom Emscripten FileSystem
     */
    protected initFilesystem(options: IPyodideWorkerKernel.IOptions): Promise<void>;
    /**
     * Send input request and receive input reply via service worker.
     */
    protected sendInputRequest(prompt: string, password: boolean): string | undefined;
}
